using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore;
using SysCore.Model;
using SysCore.DAL;
using SysCore.Control;

public partial class Sale_Report_DeliveryOrder_Details : System.Web.UI.Page
{
    public AuthUI auth = new AuthUI();
    public Hashtable xview = new Hashtable();
    public ConfigReader cfg = new ConfigReader();
    AWGridFun aw = new AWGridFun();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            new LoginState().CheckLogin();
            //模块权限编号,同时作为模块号
            string auth_code = "Sale_Report_DeliveryOrder_Details";
            //检查模块查看权限
            auth.AuthCheckAndResponse(auth_code);
            LoginInfo li = new LoginInfo();
            string begin_date = li.GetSearchBeginDate();
            xview.Add("begin_date", begin_date);
            xview.Add("end_date", li.login_date);
            xview.Add("auth_code", auth_code);
            //加载页面时建议不要指定网址，搜索时动态指定即可
            string url = "";
            xview.Add("grid_frame",aw.CreateGridFrame(url));
        }
    }
}